package examenes.examen20241213;

import examenes.examen20241213.utils.Utils;

public abstract class Animal {
    private String nombre;
    private float peso = Utils.generarFloatAleatorioEntreLimites(1, 600);
    private float espacio = calcularEspacio();

    private static int CONTADOR_ANIMALES = 0;

    public Animal() {
        this.nombre = "Animal-" + CONTADOR_ANIMALES;
        CONTADOR_ANIMALES++;
    }


    public abstract float calcularEspacio();

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public float getPeso() {
        return peso;
    }

    public void setPeso(float peso) {
        this.peso = peso;
    }

    public float getEspacio() {
        return espacio;
    }

    public void setEspacio(float espacio) {
        this.espacio = espacio;
    }

    @Override
    public String toString() {
        return "Animal{" +
                "nombre='" + nombre + '\'' +
                ", peso=" + peso +
                ", espacio=" + espacio +
                '}';
    }
}
